Bug 1530794 - Release marionette_driver 2.8.0 and marionette_harness 4.6.0. r=ato
authorHenrik Skupin <mail@hskupin.info>
Wed, 06 Mar 2019 12:50:52 +0000
changeset 520471 bfa18558c4e7caf378e7e6c62534565422304414
parent 520470 0826fd0e4d5cee9eac59a2de557bf1b0cbfdb1c2
child 520472 0d659b1c6de3bc90ac8cb964717142f49f3f0d8e
push id10862
push userffxbld-merge
push dateMon, 11 Mar 2019 13:01:11 +0000
treeherdermozilla-beta@a2e7f5c935da [default view] [failures only]
perfherder[talos] [build metrics] [platform microbench] (compared to previous push)
reviewersato
bugs1530794
milestone67.0a1
first release with
nightly linux32
nightly linux64
nightly mac
nightly win32
nightly win64
last release without
nightly linux32
nightly linux64
nightly mac
nightly win32
nightly win64
Bug 1530794 - Release marionette_driver 2.8.0 and marionette_harness 4.6.0. r=ato Depends on D22105 Differential Revision: https://phabricator.services.mozilla.com/D22106
testing/marionette/client/marionette_driver/__init__.py
testing/marionette/harness/marionette_harness/__init__.py
testing/marionette/harness/requirements.txt
--- a/testing/marionette/client/marionette_driver/__init__.py
+++ b/testing/marionette/client/marionette_driver/__init__.py
@@ -1,15 +1,15 @@
 # This Source Code Form is subject to the terms of the Mozilla Public
 # License, v. 2.0. If a copy of the MPL was not distributed with this
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
 
 from __future__ import absolute_import
 
-__version__ = '2.7.0'
+__version__ = '2.8.0'
 
 from marionette_driver import (
     addons,
     by,
     date_time_value,
     decorators,
     errors,
     expected,
--- a/testing/marionette/harness/marionette_harness/__init__.py
+++ b/testing/marionette/harness/marionette_harness/__init__.py
@@ -1,15 +1,15 @@
 # This Source Code Form is subject to the terms of the Mozilla Public
 # License, v. 2.0. If a copy of the MPL was not distributed with this
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
 
 from __future__ import absolute_import
 
-__version__ = '4.5.0'
+__version__ = '4.6.0'
 
 from .marionette_test import (
     CommonTestCase,
     expectedFailure,
     MarionetteTestCase,
     parameterized,
     run_if_e10s,
     run_if_manage_instance,
--- a/testing/marionette/harness/requirements.txt
+++ b/testing/marionette/harness/requirements.txt
@@ -1,11 +1,11 @@
 browsermob-proxy >= 0.6.0
 manifestparser >= 1.1
-marionette-driver >= 2.7.0
+marionette-driver >= 2.8.0
 mozcrash >= 1.1.0
 mozdevice >= 3.0.0
 mozinfo >= 1.0.0
 mozlog >= 4.0
 moznetwork >= 0.27
 mozprocess >= 1.0.0
 mozprofile >= 2.2.0
 mozrunner >= 7.4.0